Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 879141 - Excessive quotation mark for target tag_pre
Summary: Excessive quotation mark for target tag_pre
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cmake-fedora
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-22 07:36 UTC by Ding-Yi Chen
Modified: 2014-01-27 13:09 UTC (History)
1 user (show)

Fixed In Version: cmake-fedora-1.2.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-27 13:09:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Ding-Yi Chen 2012-11-22 07:36:38 UTC
Description of problem:
Target tag_pre has following command:
	ADD_CUSTOM_COMMAND(OUTPUT ${MANAGE_SOURCE_VERSION_CONTROL_TAG_FILE}
	    COMMAND make tag_pre
	    COMMAND git commit --short -uno > ${CMAKE_FEDORA_TMP_DIR}/git-status || echo "Is source committed?"
	    COMMAND test ! -s "${CMAKE_FEDORA_TMP_DIR}/git-status"
	    COMMAND git tag -a -m "${CHANGE_SUMMARY}" "${PRJ_VER}" HEAD
	    COMMENT "Tagging the source as ver ${PRJ_VER}"
	    VERBATIM
	    )

However, the actuall command is expended like:
git commit --short -uno > /home/dchen/ibus-table-chinese/NO_PACK/git-status "||" echo "Is source committed?"   

Which cause error.

Version-Release number of selected component (if applicable):
cmake-fedora-1.0.5

How reproducible:
Always

Steps to Reproduce:
1. make tag
  
Actual results:
Expended command:
git commit --short -uno > /home/dchen/ibus-table-chinese/NO_PACK/git-status "||" echo "Is source committed?"   


Expected results:
Pass sucessfully

Additional info:

Comment 1 Fedora End Of Life 2013-07-04 05:19:48 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora Update System 2014-01-10 01:29:37 UTC
cmake-fedora-1.2.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cmake-fedora-1.2.3-1.fc20

Comment 3 Fedora Update System 2014-01-11 08:49:04 UTC
Package cmake-fedora-1.2.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cmake-fedora-1.2.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0663/cmake-fedora-1.2.3-1.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-01-27 13:09:47 UTC
cmake-fedora-1.2.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.